%define snap	0

%define major 2
%define libname %mklibname cec %major
%define devname %mklibname cec -d

Name:		libcec
Version:	2.2.0
%if %snap
Release:	%mkrel -c git%{snap} %rel
%else
Release:        %mkrel 2
%endif
Summary:	Pulse-Eight CEC adapter control library
License:	GPLv2+
Group:		System/Libraries
URL:		http://libcec.pulse-eight.com/
%if %snap
Source0:	%name-%{snap}.tar.xz
%else
Source0:	http://github.com/Pulse-Eight/libcec/archive/libcec-%version.tar.xz
%endif
#--------------------------------------
BuildRequires: %{_lib}lockdev1-devel
BuildRequires: %{_lib}udev0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xrandr2-devel
#--------------------------------------
Requires: glibc >= 2.20

%description
With libcec you can access your Pulse-Eight CEC adapter.

%package -n cec-utils
Summary: Utilities for Pulse-Eight CEC adapter control
Group: System/Libraries
Requires:	%libname = %version

%description -n cec-utils
With libcec you can access your Pulse-Eight CEC adapter.

This package contains the command-line tools to configure and test your
Pulse-Eight CEC adapter.

%package -n %libname
Summary: Shared library for Pulse-Eight CEC adapter control
Group: System/Libraries

%description -n %libname
With libcec you can access your Pulse-Eight CEC adapter.

This package contains the shared library which allows programs to access your
Pulse-Eight CEC adapter.

%package -n %devname
Summary: Development files for %name
Group: Development/Libraries
Requires: %libname = %version
Provides: cec-devel = %version-%release
Provides: %name-devel = %version-%release

%description -n %devname
With libcec you can access your Pulse-Eight CEC adapter.

This package contains the files for developing applications which
will use libcec.


%prep
%if %snap
%setup -q -n %name-%{snap}
%else
%setup -q -c
# Directory name contains git hash :/
cd libcec-*
%endif
%apply_patches

%build
%if !%snap
cd libcec-*
%endif
autoreconf -ifv
%configure2_5x --disable-static

%make

%install
%if !%snap
cd libcec-*
%endif

%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n cec-utils
%{_bindir}/cec-client

%files -n %libname
%{_libdir}/%name.so.%{major}*

%files -n %devname
%{_libdir}/%name.so
%{_libdir}/pkgconfig/%name.pc
%{_includedir}/%name/*.h


%changelog
* Wed Dec 04 2015 bb <bb> 2.2.0-2pclos2015
- rebuild new glibc

* Sat Dec 27 2014 pinoc <vogtpet at gmail.com> 2.2.0-1pclos2015
- 2.2.0 (needed for Kodi)

* Sun Oct 06 2013 billybot <billybot> 2.1.1-1pclos2013
- update due to compile errors on previous version

